      SUBROUTINE DIPOLY                                                 DIPO001 
	character*8 mody,id
      COMMON /CONST/ PI,PIT2,PID2,DUM(5)                                DIPO002 
      COMMON /YY/ MODY,Y,PYPR,PYPTH,PYPPH,YR,PYRPR,PYRPT,PYRPP,YTH,PYTPRDIPO003 
     1,PYTPT,PYTPP,YPH,PYPPR,PYPPT,PYPPP                                DIPO004 
      COMMON R(6) /WW/ ID(10),W0,W(400)                                 DIPO005 
      EQUIVALENCE (EARTHR,W(2)),(F,W(6)),(FH,W(201))                    DIPO006 
	data mody / 'dipoly'/
      ENTRY MAGY                                                        DIPO008 
      SINTH=SIN(R(2))                                                   DIPO009 
      COSTH=SIN(PID2-R(2))                                              DIPO010 
      TERM9=SQRT(1.+3.*COSTH**2)                                        DIPO011 
      T1=FH*(EARTHR/R(1))**3/F                                          DIPO012 
      Y=T1*TERM9                                                        DIPO013 
      YR= 2.*T1*COSTH                                                   DIPO014 
      YTH= T1*SINTH                                                     DIPO015 
      PYRPR=-3.*YR/R(1)                                                 DIPO016 
      PYRPT=-2.*YTH                                                     DIPO017 
      PYTPR=-3.*YTH/R(1)                                                DIPO018 
      PYTPT=.5*YR                                                       DIPO019 
      PYPR=-3.*Y/R(1)                                                   DIPO020 
      PYPTH=-3.*Y*SINTH*COSTH/TERM9**2                                  DIPO021 
      RETURN                                                            DIPO022 
         END                                                            DIPO023-
